# [X-SlickGrid](https://ddomingues.github.io/X-SlickGrid) [![Code Climate](https://codeclimate.com/github/ddomingues/X-SlickGrid.png)](https://codeclimate.com/github/ddomingues/X-SlickGrid)

X-SlickGrid is a extension of the great [SlickGrid](https://github.com/mleibman/SlickGrid)

[Live Demos](https://ddomingues.github.io/X-SlickGrid/liveDemo/examples/index.html)

## Some highlights:
>* Adaptive virtual scrolling (handle hundreds of thousands of rows with extreme responsiveness)
* Extremely fast rendering speed
* Supports jQuery UI Themes
* Background post-rendering for richer cells
* Configurable & customizable
* Full keyboard navigation
* Column resize/reorder/show/hide
* Column autosizing & force-fit
* Pluggable cell formatters & editors
* Support for editing and creating new rows.
* Grouping, filtering, custom aggregators, and more!
* Advanced detached & multi-field editors with undo/redo support.
* “GlobalEditorLock” to manage concurrent edits in cases where multiple Views on a page can edit the same data.
* Support for [millions of rows](http://stackoverflow.com/a/2569488/1269037)

## Additional Features

>* Footer Row
* Tree Columns
* Column Picker with functionalities
 * Group
 * Show/Hide
 * Totalize
* Frozen Columns and Rows.
 * Frozen Rows (top & bottom)
 * Frozen Columns (left only, right coming soon)
 * Horizontal scrolling of frozen viewport with mousewheel
 * Scroll viewport during row drag
 * Scroll viewport during column drag
 
## Want to contribute? \o/\o/

>1. Fork it!
2. Create your feature branch: `git checkout -b my-new-feature`
3. Commit your changes: `git commit -m 'Add some feature'`
4. Push to the branch: `git push origin my-new-feature`
5. Submit a pull request

## Credits

>* [Michael Leibman](https://github.com/mleibman) by [SlickGrid](https://github.com/mleibman/SlickGrid)
* [Justin Lynch](https://github.com/jlynch7) by [Frozen Columns and Rows](https://github.com/JLynch7/SlickGrid/tree/2.0-frozenRowsAndColumns)
